%%
%
%
%%

function errorHandling(Message)
global data

h = figure;
data.errorhandling.h = h;

hDesiredSize = [400, 110];
set(h,'Resize','off','MenuBar','none','ToolBar','none','NumberTitle','off','Name',...
    ['Error'],'Position',centerPopUp(hDesiredSize),...
    'Units','normalized','Color',[.9 .9 .9],'WindowStyle','modal');

% Define text
uicontrol(h,'Style','text','String',Message,'Units','normalized',...
    'Backgroundcolor',[.9 .9 .9],'Position',[.15 .6 .7 .2],'FontSize',[10]);

uicontrol(h,'Style','pushbutton','String','OK','Units','normalized',...
    'Backgroundcolor',data.colourbutton,'Callback',@returnToFun,'FontSize',[11],...
    'Position',[.4 .3 .2 .2]);

set(data.handles.defineElement,'string','Error'); drawnow;

return

function returnToFun(varargin)
global data

closePopUp(data.errorhandling.h);
set(data.handles.defineElement,'string',''); drawnow;
otherButtons('enable');

return
