%%
%
%
%%

function initFigures()
global data

delete(allchild(data.handles.MagPhaseperOmega));
delete(allchild(data.handles.magnitudeplot));
delete(allchild(data.handles.phaseplot));
%Mag Phase per Freq
set(data.handles.MagPhaseperOmega,'XTickLabel',[],'YTickLabel',...
    [],'XColor',[1 1 1],...
    'YColor',[1 1 1]);
set(get(data.handles.MagPhaseperOmega,'YLabel'),'String',...
    ['Magnitude [',data.discretisation.unitsMag.String{1},']'],'Color',[0 0 0]);
set(get(data.handles.MagPhaseperOmega,'XLabel'),'String',...
    ['Phase [',data.discretisation.unitsPhase.String{1},']'],'Color',[0 0 0])

data.plot.rectanglesFlag = 0;
data.plot.showinbodeFlag = 0;
%% 2D Bode plot
%Mag
set(data.handles.magnitudeplot,'XTickLabel',...
    [],'YTickLabel',[])

set(get(data.handles.magnitudeplot,'XLabel'),'String',...
    ['Frequency [',data.discretisation.unitsFreq.String{1},']']);
set(get(data.handles.magnitudeplot,'YLabel'),'String',...
    ['Magnitude [',data.discretisation.unitsMag.String{1},']']);

set(data.handles.plotfrequencyin,'Value',data.discretisation.unitsFreq.Value);
set(data.handles.plotmagnitudein,'Value',data.discretisation.unitsMag.Value);
set(data.handles.plotphasein,'Value',data.discretisation.unitsPhase.Value);

%Phase
set(data.handles.phaseplot,'XTickLabel',[],'YTickLabel',[])

set(get(data.handles.phaseplot,'XLabel'),'String',...
    ['Frequency [',data.discretisation.unitsFreq.String{1},']']);
set(get(data.handles.phaseplot,'yLabel'),'String',...
    ['Phase [',data.discretisation.unitsPhase.String{1},']']);

data.plot.externalPlot = 0;

% Slider
set(data.handles.Flow,'String',strcat(num2str(data.discretisation.minFreq),' ',...
    data.discretisation.unitsFreq.String{1})); drawnow;
set(data.handles.Fhigh,'String',strcat(num2str(data.discretisation.maxFreq),' ',...
    data.discretisation.unitsFreq.String{1})); drawnow;

set(data.handles.MagPhaseperSlider,'Value',log10(data.discretisation.minFreq));
set(data.handles.MagPhaseperSlider,'Min',log10(data.discretisation.minFreq));
set(data.handles.MagPhaseperSlider,'Max',log10(data.discretisation.maxFreq))
set(data.handles.MPfreq,'String',strcat(num2str(data.discretisation.minFreq),' ',...
    data.discretisation.unitsFreq.String{1}));
data.parameters.plotFreq = 1;
data.parameters.tempUnitFreq = data.discretisation.unitsFreq.String{1};
data.parameters.tempUnitMag = data.discretisation.unitsMag.String{1};
data.parameters.tempUnitPhase = data.discretisation.unitsPhase.String{1};


return