%%
%
%
%%

function plotController()
global data;

k = 1;
showWhichController = [];
for i = 1:1:length(data.plotController)
    if(data.plotController(i) == 1)
        showWhichController(k) = i;
        k = k + 1;
    end
end
if(~isempty(showWhichController))
    for i = 1:1:length(showWhichController)
        j = showWhichController(i);
        runPlot = 1;
        if(isempty(data.plot.Magcontroller) || j > length(data.plot.Magcontroller))
            runPlot = 1;
        elseif(isempty(data.plot.Magcontroller{j}))
            runPlot = 1;
        else
            if(strcmp(get(data.plot.Magcontroller{j},'Visible'),'off'))
                runPlot = 1;
            else
                runPlot = 0;
            end
        end
        if(runPlot == 1)
            
            Freq  = data.parameters.Freq;
            Controller = data.symController{j};
            
            scaleMag = data.plot.scaleMag2D;
            scaleFreq = data.plot.scaleFreq2D;
            if(data.discretisation.unitsFreq.Value == 1)
                if(data.plot.unitsFreq.Value == 1)
                    s = 1j.*2.*pi.*Freq;
                    gainFreq = 1;
                else
                    Freq = 2.*pi.*Freq;
                    s = 1j.*Freq;
                    gainFreq = 2*pi;
                end
            else
                if(data.plot.unitsFreq.Value == 1)
                    s = 1j.*Freq;
                    Freq = Freq./(2*pi);
                    gainFreq = 1/(2*pi);
                else
                    s = 1j.*Freq;
                    gainFreq = 1;
                end
            end            
            
            if(isnumeric(Controller))
                if(length(data.Controller{j})>1)
                    Controller = data.Controller{j};
                else
                    Controller = data.Controller{j}*ones(size(data.parameters.Freq));
                end
                ControllerPoint = Controller(data.parameters.plotFreq);
            else
                Controller = eval(Controller);
                
                ControllerPoint = Controller(data.parameters.plotFreq);
            end
            
            Mag = db(Controller);
            MagPoint = db(ControllerPoint);
                       
            scalePhase = data.plot.scalePhase2D;

            if(data.discretisation.unitsPhase.Value == 1)
                if(data.plot.unitsPhase.Value == 1)
                    Phase = angle(Controller)/(2*pi)*360;
                    PhasePoint = angle(ControllerPoint)/(2*pi)*360;
                else
                    Phase = angle(Controller);
                    PhasePoint = angle(ControllerPoint);
                end
            else
                if(data.plot.unitsPhase.Value == 1)
                    Phase = angle(Controller).*360./(2.*pi);
                    PhasePoint = angle(ControllerPoint).*360./(2.*pi);
                else
                    Phase = angle(Controller);
                    PhasePoint = angle(ControllerPoint);
                end
            end
            
            plotColorMPperF = 'k';
            if(~isempty(data.Design{j}.ControllerStable))
                UnstableRanges = [];                
                for k = 1:1:length(data.Design{j}.ControllerStable)
                    low = data.Design{j}.ControllerStable{k}{1};
                    high = data.Design{j}.ControllerStable{k}{2};
                    if(data.parameters.plotFreq >= low && data.parameters.plotFreq <= high-1)
                        plotColorMPperF = 'r';
                    end
                end
            end
            
            if(j == 1)
                dottedline = '-k';
            elseif(j == 2)
                dottedline = '--k';
            elseif(j == 3)
                dottedline = '-.k';
            else
                dottedline = ':k';
            end
            axes(data.handles.magnitudeplot)           
            data.plot.Magcontroller{j} = semilogx(Freq,Mag,dottedline,'LineWidth',2);hold on;
            set(data.handles.magnitudeplot,'YLim',[scaleMag(1),scaleMag(end)],'YTick',scaleMag,...
                'XLim',data.plot.FLim,'XTick',gainFreq.*scaleFreq,'XScale','log')
            
            axes(data.handles.phaseplot)
            data.plot.Phasecontroller{j} = semilogx(Freq,Phase,dottedline,'LineWidth',2);
            set(data.handles.phaseplot,'YLim',[scalePhase(1),scalePhase(end)],'YTick',scalePhase,...
                'XLim',data.plot.FLim,'XTick',gainFreq.*scaleFreq,'XScale','log')
            
            axes(data.handles.MagPhaseperOmega)            
            data.plot.Pointcontroller{j} = plot(PhasePoint,MagPoint,'.','Color',plotColorMPperF,...
                'LineWidth',300);hold on;
            set(data.handles.MagPhaseperOmega,'XLim',[scalePhase(1)...
                scalePhase(end)],'YLim',[scaleMag(1) scaleMag(end)],'XTick',scalePhase,'YTick',...
                scaleMag)           
            
        end
    end
end

return

