function stabProp = RaisbeckPassivityCriterion(C,Z,s)

[h11 h12 h21 h22] = extractHybrid(Z,C,s);

RaisPass = (4.*real(h11).*real(h22) - (real(h12)+real(h21)).^2-(imag(h12)+imag(h21)).^2);
stabProp = RaisPass > 0;

end

